@import url('https://fonts.googleapis.com/css?family=Yanone+Kaffeesatz');
@import url('https://fonts.googleapis.com/css?family=Open+Sans');
* {
  box-sizing: border-box;
}
img {
  display: block;
  max-width: 100%;
}
body {
  margin: 0;
  font-family: 'Open Sans', sans-serif;
    background:#283747;       
        
}
 h2, h3, h4, h5, h6 {
  font-family: 'Yanone Kaffeesatz', sans-serif;
  letter-spacing: 1.5px;
}
.section__titulo {
  text-align: center;
  font-size: px;
  color: Coral;
    background-color:  rgba(0,0,0,0.5);
    width: 50%;
    

}
.contenedor {
  margin: auto;
  width: 99%;
}
/*-------------------Estilos del header-------------------*/
.header {
  height: 60px;
}
.header .contenedor {
  display: flex;
  justify-content: space-between;
}
.logo.png, .icon-menu {
  margin: 15px;
  color: coral;
    
  
}
.icon-menu {
  display: block;
  width: 40px;
  height: 40px;
  font-size: 30px;
  background:#572364;
  text-align: center;
  line-height: 45px;
  border-radius: 5px;
  margin-left: auto;
  cursor: pointer;
}
/*------------------Estilos del menu------------------*/
.nav {
  position: absolute;
  top: 60px;
  left: -100%;
  width: 100%;
  transition: all 0.4s;
}
.menu {
  list-style: none;
  padding: 0;
  margin: 0;
}
.menu__link {
  display: block;
  padding: 12px;
  background: rgba(85,20,96,0.9);
  text-decoration: none;
  color: coral;
}
.menu__link:hover, .select {
  background: rgba(0,0,0,0.8);
  color: coral;
}
.mostrar {
  left: 0;
}

/*--------------Estilos de banner--------------*/

.banner {
  margin-top: -60px;
  position: relative;
  z-index: -1000;
  margin-bottom: 25px;
    width: 100%;
    background-size: 100% 100%;
    
    
}

.banner .contenedor {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 100%;
  color:coral;
  text-align: center;
    background-color: rgba(0,0,0,0.5);
    width: 48%;
}

.banner__txt {
  display: none;
    
    
    

}


/*-----------------Estilos de info-----------------*/
.info__columna {
  background: rgba(0,0,0,0.5);
  color: #fff ;
  padding: 15px;
  margin-bottom: 30px;
}

/*-----------------Estilos de cursos-----------------*/
.cursos__columna {
  position: relative;
  margin-bottom: 35px;
}

.cursos__descripcion {
  position: absolute;
  top: 0;
  left: 0;
  color: white;
  background: rgba(0,0,0,0.5);
  width: 60%;
  height: 90%;
  padding: 15px;
    font-size: 10px;
}
.cursos__titulo {
  font-size: 20px;
  margin: 1px 0px;
}
.cursos__img {
  width: 100%;
}
/*-----------------Estilos de footer-----------------*/

.footer {
  background: #333;
  color: coral;
  padding: 10px;
  text-align: center;
}

.footer .social [class^="icon-"] {
  display: inline-block;
  color: #333;
  text-decoration: none;
  font-size: 30px;
  padding: 10px;
  background: white;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  line-height: 40px;
}

/*------------------Estilos responsive------------------*/

@media(min-width:250px) {
    #logo {
        width: 50%;
        height: 100%;
        margin-top: -10px
            
    }
    
    .cursos__descripcion{
        width: auto;
    }
}

@media(min-width:480px) {
  #logo{
      
      width: 85%;}
    
  .banner__titulo {
    font-size: 30px;
    margin: 5px 0;
  }
  .banner__txt {
    display: block;
    font-size: 18px;
    margin: 7px 0;
  }
  .info, .cursos {
    display: flex;
    justify-content: space-between;
    margin-top: -90px;
  }
  .info__columna {
    width: 32%;
  }
  .info__titulo {
    font-size: 30px;
    margin: 5px 0;
  }
  .section__titulo {
    width: 100%;
  }
  .cursos {
    flex-wrap: wrap;
    margin-top: 0;
  }
  .cursos__columna {
    width: 49%;
  }
  .footer .social [class^="icon-"] {
    margin: 0 10px;
  }
}
@media(min-width:768px) {  
    #logo {
        width: 100%;
    }
     
  .banner__titulo {
    font-size: 50px;
  }
  .cursos__titulo {
    font-size: 40px;
  }
}

@media(min-width:1024px) {  
  .contenedor {
    width: 1000px;
  }
    #logo{
        width: 100%;
    }
  .section__titulo {
    font-size: 50px;
    margin: 30px 0;
  }
  .nav {
    position: static;
    width: auto;
  }
  .menu {
    display: flex;
  }
  .icon-menu {
    display: none;
  }
  .menu__link {
    background: none;
    font-size: 20px;
  }
  .select {
    color: #fff;
    background:#4c2882;
  }
  .banner__titulo {
    font-size: 60px;
  }
  .banner__txt {
    font-size: 25px;
  }
  .info {
    margin-top: -120px;
  }
  .info__columna {
    padding: 30px;
  }
  .info__titulo {
    font-size: 40px;
    text-align: center;
  }
  .cursos__descripcion {
    padding: 20px;
  }
  .cursos__titulo {
    font-size: 50px;
  }
  .cursos__txt {
    font-size: 20px;
  }
}

@media(min-width:1280px) {
  .contenedor {
    width: 1200px;
  }
  #logo {
   width: 100%;
  }
  .banner .contenedor {
    top: 40%;
  }
  .info {
    margin-top: -120px;
  }
    .cursos__txt{
        font-size: 20px;
        
        
    }
    .cursos__titulo{
        font-size: 40px;
        
    }
}
